<div style="margin-top: 20px;">
    <div class="container">
        <div class="row maximum-width-p-list">
            <p-dataList 
            [value]="shipmentItems" 
            [paginator]="true"
            [rows]="5"
            [paginator]="true"
            [pageLinks]="5"
            [rowsPerPageOptions]="[5,10,15,20]"
            [totalRecords]="totalItems"
            [responsive]="true"
            [lazy]="true"
            dataKey="idShipmentItem"
            expandableRows="false"
            (onLazyLoad)="loadDataLazy($event)">
                <p-header> 
                    <div>
                        <form name="searchForm" class="form-inline">
                            <div class="input-group w-100 mt-3">
                                <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                                    name="currentSearch" placeholder="{{ 'mpmApp.prospectPerson.home.search' | translate }}">
                                <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                                    <span class="fa fa-search"></span>
                                </button>
                                <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                                    <span class="fa fa-trash-o"></span>
                                </button>
                            </div>
                        </form>
                    </div>
                </p-header>
                <ng-template let-rowData pTemplate="item">
                    <a [routerLink]="['../shipment-item-delivery-detail']" >
                        <div class="ui-g ui-fluid border-item">
                            <div class="ui-g-6 ui-md-6">
                                <div class="ui-g-12 ui-sm-12">
                                    <div><h5><b>{{rowData.contentDescription}}</b></h5></div>
                                    <div><h5>{{rowData.contentDescription}}</h5></div>
                                    <div><h5>{{rowData.contentDescription}}</h5></div>
                                </div>
                            </div>
                            <div class="ui-g-6 ui-md-6">
                                <div class="ui-g-12 ui-sm-12" style="text-align:right">
                                    <div><h5>{{rowData.contentDescription}}</h5></div>
                                    <div><h5>{{rowData.contentDescription}}</h5></div>
                                    <div><h5>{{rowData.contentDescription}}</h5></div>
                                </div>
                            </div> 
                        </div>
                    </a>
                </ng-template>
            </p-dataList>
        </div>
    </div>
</div>
<div style="margin-top: 10px;"></div>
